-- Rajout d'un titre aux evaluations
-- 
-- 

ALTER TABLE RECHERCHE.EVALUATION_MESR ADD (
	TITRE VARCHAR2(255) DEFAULT 'TITRE' NOT NULL 
);



CREATE TABLE RECHERCHE.EVALUATION_NOTES_EQUIPES (

  ID NUMBER NOT NULL,
  C_STRUCTURE VARCHAR2(10) NOT NULL,
	NOTE VARCHAR2(5) NOT NULL,
  EVALUATION_ID NUMBER NOT NULL,
	PERS_ID_CREATION NUMBER NOT NULL,
	D_CREATION DATE NOT NULL
  
);

ALTER TABLE RECHERCHE.EVALUATION_NOTES_EQUIPES ADD (PRIMARY KEY (ID) USING INDEX TABLESPACE INDX_GRHUM);

ALTER TABLE RECHERCHE.EVALUATION_NOTES_EQUIPES ADD (
	CONSTRAINT FK_EVALNOT_EQ_REF_STRUCT 
	FOREIGN KEY (C_STRUCTURE) 
	REFERENCES GRHUM.STRUCTURE_ULR (C_STRUCTURE) DEFERRABLE INITIALLY DEFERRED
);

CREATE SEQUENCE RECHERCHE.EVALUATION_NOTES_EQUIPES_SEQ INCREMENT BY 1 START WITH 1 NOCACHE  NOORDER  NOCYCLE ;

CREATE TABLE RECHERCHE.EVALUATION_DOCUMENT (
  ID NUMBER NOT NULL,
  EVALUATION_ID NUMBER NOT NULL,
	DOCUMENT_ID NUMBER(38) NOT NULL,
	PERS_ID_CREATION NUMBER NOT NULL,
	D_CREATION DATE NOT NULL
);

ALTER TABLE RECHERCHE.EVALUATION_DOCUMENT ADD (PRIMARY KEY (ID) USING INDEX TABLESPACE INDX_GRHUM);

ALTER TABLE RECHERCHE.EVALUATION_DOCUMENT ADD (
	CONSTRAINT FK_EVALDOC_REF_DOCUMENT 
	FOREIGN KEY (EVALUATION_ID) 
	REFERENCES RECHERCHE.EVALUATION_MESR (EVAL_MESR_ID) DEFERRABLE INITIALLY DEFERRED
);
CREATE SEQUENCE RECHERCHE.EVALUATION_DOCUMENT_SEQ INCREMENT BY 1 START WITH 1 NOCACHE  NOORDER  NOCYCLE ;
